package com.smart.data.repository

import com.example.defenseapplication.utils.ApiService
import com.example.defenseapplication.utils.RetrofitNetwork


class MainRepository(val apiService: ApiService = RetrofitNetwork.getNetworkService()) {

    companion object {
        fun getInstance(): Array<Any> {
            return arrayOf(MainRepository(RetrofitNetwork.getNetworkService()))
        }

        fun getInstance(vararg any: Any): Array<Any> {
            return arrayOf(MainRepository(RetrofitNetwork.getNetworkService()), *any)
        }
    }
}